/// <reference types="node" />
import { Buffer } from 'buffer';
import { FieldDescription, Uint64 } from '@cerc-io/nitro-util';
import { Signature } from '../../crypto/signatures';
import { State } from './state';
import { Destination } from '../../types/destination';
export declare class SignedState {
    private _state;
    private sigs;
    static jsonEncodingMap: Record<string, FieldDescription>;
    static fromJSON(data: string): SignedState;
    toJSON(): any;
    constructor(params: {
        _state?: State;
        sigs?: Map<number, Signature>;
    });
    static newSignedState(s: State): SignedState;
    addSignature(sig: Signature): void;
    state(): State;
    signatures(): Signature[];
    hasSignatureForParticipant(participantIndex: number): boolean;
    hasAllSignatures(): boolean;
    getParticipantSignature(participantIndex: number): Signature;
    merge(ss2: SignedState): void;
    clone(): SignedState;
    marshalJSON(): Buffer;
    unmarshalJSON(j: Buffer): void;
    channelId(): Destination;
    sortInfo(): [Destination, Uint64];
}
