import type { Peer } from '@cerc-io/peer';
import { Client } from '../client/client';
import { P2PMessageService } from '../client/engine/messageservice/p2p-message-service/service';
import { LedgerChannelInfo, PaymentChannelInfo } from '../client/query/types';
export declare class Nitro {
    client: Client;
    msgService: P2PMessageService;
    constructor(client: Client, msgService: P2PMessageService);
    static setupClient(pk: string, chainURL: string, chainPk: string, contractAddresses: {
        [key: string]: string;
    }, peer: Peer, location?: string): Promise<Nitro>;
    static clearClientStorage(): Promise<boolean>;
    addPeerByMultiaddr(address: string, multiaddrString: string): Promise<void>;
    isPeerDialable(address: string): Promise<[boolean, string]>;
    directFund(counterParty: string, amount: number): Promise<void>;
    virtualFund(counterParty: string, amount: number): Promise<void>;
    pay(virtualPaymentChannel: string, amount: number): Promise<void>;
    virtualDefund(virtualPaymentChannel: string): Promise<void>;
    directDefund(ledgerChannel: string): Promise<void>;
    getLedgerChannel(ledgerChannel: string): Promise<LedgerChannelInfo>;
    getAllLedgerChannels(): Promise<LedgerChannelInfo[]>;
    getPaymentChannel(paymentChannel: string): Promise<PaymentChannelInfo>;
    getPaymentChannelsByLedger(ledgerChannel: string): Promise<PaymentChannelInfo[]>;
}
